OpenMesh::ArrayKernel::AutoStatusSetT< HandleT > Class Template Reference

AutoStatusSetT: A status set that automatically picks a status bit. More...

`#include <OpenMesh/Core/Mesh/ArrayKernel.hh>`

Inheritance diagram for OpenMesh::ArrayKernel::AutoStatusSetT< HandleT >:
[legend]
Collaboration diagram for OpenMesh::ArrayKernel::AutoStatusSetT< HandleT >:
[legend]

## Public Member Functions

| AutoStatusSetT (ArrayKernel &_kernel)
Public Member Functions inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
| StatusSetT (ArrayKernel &_kernel, const unsigned int _bit_mask)
bool | is_in (Handle _hnd) const
void | insert (Handle _hnd)
void | erase (Handle _hnd)
size_t | size () const
| Note: 0(n) complexity.
void | clear ()
| Note: O(n) complexity.

## Additional Inherited Members

Public Types inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
typedef HandleT | Handle
Public Attributes inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
const unsigned int | bit_mask_
Protected Attributes inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
ArrayKernel & | kernel_

## Detailed Description

### template<class HandleT>
class OpenMesh::ArrayKernel::AutoStatusSetT< HandleT >

AutoStatusSetT: A status set that automatically picks a status bit.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/ArrayKernel.hh